commit:     c165091a2e787cbe031907d02ba0bdfe1af4ea56
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 17 08:39:24 2022 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Dec 18 07:21:05 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c165091a

dev-ruby/rspec-expectations: add 3.12.1

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/rspec-expectations/Manifest               |  1 +
 .../rspec-expectations-3.12.1.ebuild               | 47 ++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/dev-ruby/rspec-expectations/Manifest 
b/dev-ruby/rspec-expectations/Manifest
index 905d5d4b19ed..5fe4002ff6f8 100644
--- a/dev-ruby/rspec-expectations/Manifest
+++ b/dev-ruby/rspec-expectations/Manifest
@@ -4,3 +4,4 @@ DIST rspec-expectations-3.10.2-git.tgz 213253 BLAKE2B 
51c306d34dfd82d551b8390bed
 DIST rspec-expectations-3.11.0-git.tgz 214878 BLAKE2B 
f830a0a31fb0e7cd6639e711e4daa9faa98e514b6a1dd864c383259d199dc617c6c7ff45dc65f37cf53d3c4581c6ecb9148e42b77f3c37541d8985714d62af23
 SHA512 
209eabafe92db3de1a78524d98facda16b3f5fef11f8f0c8c74bc6fc68529c8d9a835a8196e84b8b8bdf828d548d4b00bb1acdd607cab14dad7874f55a42b0c6
 DIST rspec-expectations-3.11.1-git.tgz 217396 BLAKE2B 
b9660b22f0b23a5436d98ffe2b21b58c947765ab5cf7d245bf265faead46a5326fc403ad55ee2fcd72d96c8c29fc996715ecc74c9521ec4ca34daa9d5bc0f819
 SHA512 
1941056eb2f2205f583f335993e25030b433cb0463992d74d5c568c7bbab4313fc6e7e14ada5147064b14d6da49326e3c3cb342408cfe9b38d350c9470e5cdf9
 DIST rspec-expectations-3.12.0-git.tgz 217524 BLAKE2B 
f9638e2e5c83020818b2de4c06074b7d70f02655a50d598ecfcd8c79e1abb2ec351c5b7aed1ec0ea84fde140fc1a04349a6f2edbffda7cb697135ac0b5788b0c
 SHA512 
51a80b5d45e8ca61a829f2130c60433999c6d5c60343d25f737bdb9d6864e89a156b29b549250f7c4248d5ba7a0cef11eb28e55d3023274051eb11f2d0361c83
+DIST rspec-expectations-3.12.1-git.tgz 218331 BLAKE2B 
9a8604bef9d0118fc3ce5c56f3c53597bf5f4a2eb6a85977fb73ba43e585fc430c3a658ed6ca5b2b9c7fce7e11add81303734bac4bafc8331b221eef8eca4a8a
 SHA512 
a0412cbf55d6cc3c0671abb3cb64bbc9473496aeb8adaa0fa5ae35f0036635adf5f894db0a9150002e7a69cffd1bf2b0c952672890197559be5c54bd2b508b64

diff --git a/dev-ruby/rspec-expectations/rspec-expectations-3.12.1.ebuild 
b/dev-ruby/rspec-expectations/rspec-expectations-3.12.1.ebuild
new file mode 100644
index 000000000000..7e2877d8201b
--- /dev/null
+++ b/dev-ruby/rspec-expectations/rspec-expectations-3.12.1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="Changelog.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A Behaviour Driven Development (BDD) framework for Ruby"
+HOMEPAGE="https://github.com/rspec/rspec-expectations";
+SRC_URI="https://github.com/rspec/${PN}/archive/v${PV}.tar.gz -> ${P}-git.tgz"
+
+LICENSE="MIT"
+SLOT="3"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris 
~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+SUBVERSION="$(ver_cut 1-2)"
+
+ruby_add_rdepend ">=dev-ruby/diff-lcs-1.2.0 =dev-ruby/diff-lcs-1*
+       =dev-ruby/rspec-support-${SUBVERSION}*"
+
+ruby_add_bdepend "test? (
+               >=dev-ruby/rspec-mocks-3.2.0:3
+               >=dev-ruby/rspec-support-3.5.0:3
+       )"
+
+all_ruby_prepare() {
+       # Don't set up bundler: it doesn't understand our setup.
+       sed -i -e '/[Bb]undler/d' Rakefile || die
+
+       # Remove the Gemfile to avoid running through 'bundle exec'
+       rm -f Gemfile || die
+
+       # fix up the gemspecs
+       sed -i \
+               -e '/git ls/d' \
+               -e '/add_development_dependency/d' \
+               "${RUBY_FAKEGEM_GEMSPEC}" || die
+}

Reply via email to